Subject: lady slippers

From: [email-masked] (Suzanne Daurio)
Date: 7 Mar 95 12:49:59 GMT

I'm looking for some lady slippers seeds/plants.  I've checked
everywhere (well it sure seems like it anyway) locally and can't
seem to find them.  My three year old has an ABC book with a flower
for each letter.  She fell in lover with the lady slippers and we've
been trying ever since to find something.  If you know of somewhere
that I can contact, I'd appreciate it.

I've also checked a few seed catalogs that I have, and still can't
find them!

Thanks!
Sue and Amy

-- 
Sue Daurio
[email-masked]